Represents a private message

### Hierarchy

- Message
  - PrivateMessage

## Index

### Constructors

- constructor

### Properties

- accountUser
- fromUser
- id
- msg
- t
- toUser

### Methods

- isOwnMessage
- reply
- toString

## Constructors

### constructor

- new PrivateMessage(accountUser: User, fromUser: string, msg: string, t: number, id: string, toUser: string): PrivateMessage

- Overrides Message.constructor

  - Defined in lib/private.message.ts:11

  #### Parameters

  - ##### accountUser: User

  - ##### fromUser: string

  - ##### msg: string

  - ##### t: number

  - ##### id: string

  - ##### toUser: string

  #### Returns PrivateMessage

## Properties

### accountUser

accountUser: User

Inherited from Message.accountUser

- Defined in lib/message.ts:28

The user account related to this message.

### fromUser

fromUser: string

Inherited from Message.fromUser

- Defined in lib/message.ts:12

The user that send the message.

### id

id: string

Inherited from Message.id

- Defined in lib/message.ts:24

The id of the message.

### msg

msg: string

Inherited from Message.msg

- Defined in lib/message.ts:16

The message.

### t

t: number

Inherited from Message.t

- Defined in lib/message.ts:20

Unix timestamp in seconds.

### toUser

toUser: string

- Defined in lib/private.message.ts:11

The user this message was sent to

## Methods

### isOwnMessage

- isOwnMessage(): boolean

- Inherited from Message.isOwnMessage

  - Defined in lib/message.ts:41

  Wether this message is sent by the account user.

  #### Returns boolean

### reply

- reply(message: string): Promise<void>

- - Defined in lib/private.message.ts:22

  Sends a reply to the private message.

  #### Parameters

  - ##### message: string

    The message

  #### Returns Promise<void>

### toString

- toString(): string

- - Defined in lib/private.message.ts:29

  Return a string with the message formatted.

  #### Returns string

Generated using TypeDoc